%define name	modlogan
%define version 0.8.13
%define release 4mdk

Summary: 	Modular Log Analyzer (modlogan)
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Monitoring
Source0: 	%{name}-%{version}.tar.bz2
Source1: 	%{name}-themes-0.0.5.tar.bz2
Source2: 	%{name}.cron.bz2
Patch0:		%{name}-0.8.5-config.patch.bz2
Patch1:		modlogan-0.8.12-shared_flow_tools_libs.diff.bz2
URL: 		http://jan.kneschke.de/projects/modlogan/
Requires: 	apache2
Requires: 	flow-tools
BuildRequires: 	adns-devel
BuildRequires: 	bzip2-devel
BuildRequires: 	gd-devel
BuildRequires:	gettext-devel
BuildRequires: 	pcre-devel
BuildRequires:	libxml2-devel
BuildRequires:	flow-tools-devel >= 0.67-1mdk
BuildRequires:	automake1.7
BuildRequires:	libtool
Buildroot: 	%{_tmppath}/%{name}-%{version}-root

%description
ModLogAn is a modular logfile analyzer which is able to analyze
logfiles from 15 different server (http, ftp, mail, streaming, 
...).  Its template engine generates XHTML based on usersupplied
themes which makes it possible to provide look & feel of your own
wishes.   ModLogAn is written in C and provides a plugin system
which enables it to be extended in the way you want.

%prep

%setup -q -a1
%patch0 -p1
%patch1 -p0

# lib64 fixes
perl -pi -e "s|/lib/|/%{_lib}/|g" configure*

%build
AUTOMAKE=automake-1.7 ACLOCAL=aclocal-1.7 autoreconf --force --install
#libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7 --add-missing

export LINGUAS="de cs es it fr pl ru hu"
export CFLAGS="%{optflags} -fPIC"

%configure2_5x \
    --libdir=%{_libdir}/%{name} \
    --libexecdir=%{_libdir}/%{name} \
    --with-included-gettext \
    --with-flow-tools=%{_prefix} \
    --with-gd=%{_prefix} \
    --with-xml-prefix=%{_prefix} \
    --with-xml-exec-prefix=%{_prefix} \
    --with-x=%{_prefix}

#    --with-mysql=%{_prefix} \

%make CFLAGS="%{optflags} -fPIC"

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

for i in %{buildroot}%{_sysconfdir}/%{name}/*-dist; do
%__mv $i ${i//-dist}
done

# install themes
install -d %{buildroot}%{_datadir}/modlogan/themes
cp -aRf %{name}-themes-0.0.5/* %{buildroot}%{_datadir}/modlogan/themes/

# nuke devel stuff... (for now...)
rm -f %{buildroot}%{_libdir}/%{name}/*.a
rm -f %{buildroot}%{_libdir}/%{name}/*.la

# fix localhost reporting...
install -d %{buildroot}%{_sysconfdir}/cron.daily
install -d %{buildroot}/var/www/html/admin/modlogan/localhost
bzcat %{SOURCE2} > %{buildroot}%{_sysconfdir}/cron.daily/%{name}.localhost
chmod 755 %{buildroot}%{_sysconfdir}/cron.daily/%{name}.localhost

# remove unneeded? file
rm -f %{buildroot}%{_datadir}/locale/locale.alias

# clean up...
rm -f %{buildroot}%{_datadir}/modlogan/themes/basic/.#theme.conf.1.*

%find_lang %{name}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog INSTALL Doxyfile NEWS README TODO doc/*txt doc/*ihtml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/group.extension.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/group.host.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/group.os.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/group.searchengines.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/group.ua.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/group.url.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/ignore.searchengines.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/match.os.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/match.searchengines.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/match.ua.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/match.useragents.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/modlogan.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/modlogan.def.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/modlogan/modlogan.css
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/cron.daily/%{name}.localhost
%dir %{_sysconfdir}/modlogan/

%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_libdir}/%{name}/*.so
%dir %{_libdir}/%{name}/
%attr(0644,root,root) %{_mandir}/man1/*

%{_datadir}/modlogan
%attr(0755,apache,apache) %dir /var/www/html/admin/modlogan/

%changelog
* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.13-4mdk
- lib64 fixes

* Sat Jan 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.13-3mdk
- hacked the modlogan.cron file to stop try to send (cron) mails
  if the apache2 server is not running

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.8.13-2mdk
- find_lang
- Fix BuildRequires

* Sat Sep 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.13-1mdk
- 0.8.13
- drop P2, it's included

* Fri Aug 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.12-2mdk
- added P2 to fix crash in the output_modlogan plugin (Jan Kneschke)

* Thu Aug 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.12-1mdk
- 0.8.12

* Sun Aug 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.12-0.20040808.1mdk
- 0.8.12, use Jans latest snap that uses less memory
- added new P1

* Fri Apr 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.11-1mdk
- 0.8.11

* Sat Feb 28 2004 Michael Scherer <misc@mandrake.org> 0.8.10-2mdk
- [DIRM]
- clean spec
- clean buildRequires
 
* Fri Sep 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.10-1mdk
- 0.8.10
- drop P2, it's included in the upstream source
- fix invalid-build-requires
- fix explicit-lib-dependency
- fix hidden-file-or-dir

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.9-2mdk
- added P2

* Tue Jul 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.9-1mdk
- 0.8.9
- drop P2, it's included upstream

* Mon May 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.8-1mdk
- 0.8.8
- added P2 from CVS

* Fri May 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.7-1mdk
- 0.8.7

* Sat Mar 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.6-1mdk
- 0.8.6
- buildrequires & requires bz libs

* Sat Mar 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.5-2mdk
- in a perfect world for example libgd2 should provide libgd
- added linguas
- added S1 (themes)
- added P1 (flow-tools)
- added S2
- misc spec file fixes

* Fri Mar 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.5-1mdk
- initial cooker contrib

